# FoundationClasses
TKMath
math

# math_TrigonometricFunctionRoots Class Reference

This class implements the solutions of the equation
a*Cos(x)*Cos(x) + 2*b*Cos(x)*Sin(x) + c*Cos(x) + d*Sin(x) + e
The degree of this equation can be 4, 3 or 2.
.

`#include <math_TrigonometricFunctionRoots.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_TrigonometricFunctionRoots (const Standard_Real A, const Standard_Real B, const Standard_Real C, const Standard_Real D, const Standard_Real E, const Standard_Real InfBound, const Standard_Real SupBound)
| Given coefficients a, b, c, d , e, this constructor performs the resolution of the equation above. The solutions must be contained in [InfBound, SupBound]. InfBound and SupBound can be set by default to 0 and 2*PI. .
Standard_EXPORT | math_TrigonometricFunctionRoots (const Standard_Real D, const Standard_Real E, const Standard_Real InfBound, const Standard_Real SupBound)
| Given the two coefficients d and e, it performs the resolution of d*sin(x) + e = 0. The solutions must be contained in [InfBound, SupBound]. InfBound and SupBound can be set by default to 0 and 2*PI. .
Standard_EXPORT | math_TrigonometricFunctionRoots (const Standard_Real C, const Standard_Real D, const Standard_Real E, const Standard_Real InfBound, const Standard_Real SupBound)
| Given the three coefficients c, d and e, it performs the resolution of 2*b*cos(x)*sin(x) + d*sin(x) + e = 0. The solutions must be contained in [InfBound, SupBound]. InfBound and SupBound can be set by default to 0 and 2*PI. .
Standard_Boolean | IsDone () const
| Returns true if the computations are successful, otherwise returns false. .
Standard_Boolean | InfiniteRoots () const
| Returns true if there is an infinity of roots, otherwise returns false. .
Standard_Real | Value (const Standard_Integer Index) const
| Returns the solution of range Index. An exception is raised if NotDone. An exception is raised if Index>NbSolutions. An exception is raised if there is an infinity of solutions. .
Standard_Integer | NbSolutions () const
| Returns the number of solutions found. An exception is raised if NotDone. An exception is raised if there is an infinity of solutions. .
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints information on the current state of the object. .

## Protected Member Functions

Standard_EXPORT void | Perform (const Standard_Real A, const Standard_Real B, const Standard_Real C, const Standard_Real D, const Standard_Real E, const Standard_Real InfBound, const Standard_Real SupBound)
| is used by the constructors above.

## Private Attributes

Standard_Integer | NbSol
TColStd_Array1OfReal | Sol
Standard_Boolean | InfiniteStatus
Standard_Boolean | Done

## Constructor & Destructor Documentation

Standard_EXPORT math_TrigonometricFunctionRoots::math_TrigonometricFunctionRoots | ( | const Standard_Real | A,
|  | const Standard_Real | B,
|  | const Standard_Real | C,
|  | const Standard_Real | D,
|  | const Standard_Real | E,
|  | const Standard_Real | InfBound,
|  | const Standard_Real | SupBound
| ) |

Standard_EXPORT math_TrigonometricFunctionRoots::math_TrigonometricFunctionRoots | ( | const Standard_Real | D,
|  | const Standard_Real | E,
|  | const Standard_Real | InfBound,
|  | const Standard_Real | SupBound
| ) |

Standard_EXPORT math_TrigonometricFunctionRoots::math_TrigonometricFunctionRoots | ( | const Standard_Real | C,
|  | const Standard_Real | D,
|  | const Standard_Real | E,
|  | const Standard_Real | InfBound,
|  | const Standard_Real | SupBound
| ) |

## Member Function Documentation

Standard_EXPORT void math_TrigonometricFunctionRoots::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_TrigonometricFunctionRoots::InfiniteRoots | ( |  | ) | const`[inline]`

Standard_Boolean math_TrigonometricFunctionRoots::IsDone | ( |  | ) | const`[inline]`

Standard_Integer math_TrigonometricFunctionRoots::NbSolutions | ( |  | ) | const`[inline]`

void math_TrigonometricFunctionRoots::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_TrigonometricFunctionRoots::operator new | ( | size_t | size | ) | `[inline]`

void* math_TrigonometricFunctionRoots::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void math_TrigonometricFunctionRoots::Perform | ( | const Standard_Real | A,
|  | const Standard_Real | B,
|  | const Standard_Real | C,
|  | const Standard_Real | D,
|  | const Standard_Real | E,
|  | const Standard_Real | InfBound,
|  | const Standard_Real | SupBound
| ) | `[protected]`

Standard_Real math_TrigonometricFunctionRoots::Value | ( | const Standard_Integer | Index | ) | const`[inline]`

## Field Documentation

Standard_Boolean math_TrigonometricFunctionRoots::Done `[private]`

Standard_Boolean math_TrigonometricFunctionRoots::InfiniteStatus `[private]`

Standard_Integer math_TrigonometricFunctionRoots::NbSol `[private]`

TColStd_Array1OfReal math_TrigonometricFunctionRoots::Sol `[private]`

The documentation for this class was generated from the following files:

- math_TrigonometricFunctionRoots.hxx
- math_TrigonometricFunctionRoots.lxx